Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Android™ Runtime Development

Reply
Regular Contributor
karthikm
Posts: 94
Registered: ‎06-28-2012
My Device: torch 9860
My Carrier: univercell

unable to use the android apps on my playbook with os 2.1.0.1526.

Hi experts.,

       

      Iam unable to run  the android apps on my playbook. After successfully installation of .bar files using the ddpb installer in my playbook and later clicking  the below  error is generating 

 

    The application is unexpectedly closed. Please try again 

 

Please help me in fixing this issue....

My tablet os version is 2.1.0.1526. 

 

Thanks & Regards, 

  Karthik.M 

Please use plain text.
Contributor
Patmobile
Posts: 15
Registered: ‎04-16-2013
My Device: PlayBook
My Carrier: N/A

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Hi,

Do you have errors in the logs (logcat)?

 

Please use plain text.
Regular Contributor
karthikm
Posts: 94
Registered: ‎06-28-2012
My Device: torch 9860
My Carrier: univercell

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Hi,

I have no idea how to check for the logs in the logcat,please help me in finding the path for the logcat for logs .

Out of 10 apps only 2 apps are working fine ....

The same error which I mentioned in the discussion is generating for the apps .
Please use plain text.
Contributor
Patmobile
Posts: 15
Registered: ‎04-16-2013
My Device: PlayBook
My Carrier: N/A

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

You can use the aLogcat app to get the logs. Or maybe debug in Eclipse if it works for you (doesn't for me).
Please use plain text.
Developer
ndsmyter
Posts: 648
Registered: ‎09-26-2012
My Device: Limited Edition Z10, Playbook 16GB/32GB, Dev Alpha A/B/C
My Carrier: Mobile Vikings

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Is your application working on a normal Android device, or in the simulator? Because it is easier to get your hands on some logs from an Android device or a simulator.


A like is always appreciated,
but a nomination for BB Elite even more :-)
You can also contact me on Twitter: @ndsmyter
Please use plain text.
Regular Contributor
karthikm
Posts: 94
Registered: ‎06-28-2012
My Device: torch 9860
My Carrier: univercell

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Yes ....the same app Is working on other android device .the app is TEMPLE RUN .
Please use plain text.
Contributor
Patmobile
Posts: 15
Registered: ‎04-16-2013
My Device: PlayBook
My Carrier: N/A

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Are you the developer of this app?

Please use plain text.
Regular Contributor
karthikm
Posts: 94
Registered: ‎06-28-2012
My Device: torch 9860
My Carrier: univercell

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

[ Edited ]

No iam not developer .iam trying to install the temple run app in my playbook .

Using the apk2bar converter i done converting  .apk files to .bar files and using the ddpb installer installed the templerun.bar file in the playbook .its getting installed successfully but unable to use the app .

Please use plain text.
Developer
ndsmyter
Posts: 648
Registered: ‎09-26-2012
My Device: Limited Edition Z10, Playbook 16GB/32GB, Dev Alpha A/B/C
My Carrier: Mobile Vikings

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

As you are not the developer, you probably don't know if some special libraries are used? Because some libraries cannot be ported. And because it is a game, I would suspect that this is the main reason for failure.

Contact the developer of the Android app, and ask if he/she wants to port the app.


A like is always appreciated,
but a nomination for BB Elite even more :-)
You can also contact me on Twitter: @ndsmyter
Please use plain text.
Regular Contributor
karthikm
Posts: 94
Registered: ‎06-28-2012
My Device: torch 9860
My Carrier: univercell

Re: unable to use the android apps on my playbook with os 2.1.0.1526.

Hi,
Thanks a lot .I would Opt for the solution given from ur end .
Please use plain text.